LKVOG filters out some modules even when there are explicitly set by a user
Description

For instance, LKVOG builds but filter outs all verification objects with such modules as net/bluetooth/bluetooth.ko. This is the main

module of the subsystem and even when it is given by a user in "manual" strategy as a part of a group of modules, LKVOG does not

generate required verification objects.

The issue should be studied more precisely and the fact that a user cannot add it using manual strategy should be definitely solved.

History

#1 - 07/09/2018 09:59 AM - Evgeny Novikov

- Target version set to 2.0

2.0 will include many changes to LKVOG, let's fix this issue there as well.

#2 - 08/06/2018 04:02 PM - Evgeny Novikov

- Assignee changed from Alexey Polushkin to Ilja Zakharov

#3 - 09/03/2018 06:02 PM - Ilja Zakharov

- Status changed from New to Resolved

This is impossible by design now. The only issue when it is possible if a target fragment is not built at all.

#4 - 10/25/2018 09:20 PM - Evgeny Novikov

- Status changed from Resolved to Closed

Branch klever-2.0 passed all tests and I merged it to master in 72be796e3 marked as v2.0rc1.
